Subject: Re: Updated: guile-1.8.7
From: Mark Harig <[email-masked]>
To: [email-masked]
Cc: "\"Jan Nieuwenhuizen <janneke-list\"@xs4all.nlJan Nieuwenhuizen" <[email-masked]>
Date: Tue, 23 Nov 2010 21:06:44 -0500
List-Id: <cygwin.cygwin.com>

On Mon, Nov 22, 2010 at 11:10:39AM +0100, Jan Nieuwenhuizen wrote:
> I've updated the version of Guile to 1.8.7.  This also includes the
> guile-devel packages.
>
> This is a new upstream release.  For a full update of changes, see
> the file usr/share/doc/guile/NEWS in the guile-doc package.
>
> Cygwin-specific changes
>
>   * New upstream release.
>   * Add int scm_i_terminating export, thanks Yaakov.
>   * Move to gub3: http://lilypond.org/gub .
>
>
> ==================================================================
>

I have installed guile 1.8.7, guile-doc 1.8.7, and libguile17 1.8.7,
along with cygwin 1.7.7:

$ cygcheck -c cygwin guile guile-doc libguile17
Cygwin Package Information
Package              Version        Status
cygwin               1.7.7-1        OK
guile                1.8.7-1        OK
guile-doc            1.8.7-1        OK
libguile17           1.8.7-1        OK

I have previously been able to install and start guile 1.8.2 without
error, but when I attempt to start guile 1.8.7, it fails immediately
with a Stack overflow error:

$ guile -q --debug --
Backtrace:
In unknown file:
   ?: 129* [#<procedure #f ()>]
   ?: 130* (let* ((file #)) (cond (# => #) (# => #)))
   ?: 131  [#<procedure #f (full)>
   "/usr/share/guile/1.8/ice-9/debug.scm"]
   ?: 132  [with-fluid* #<fluid 7> #f #<procedure #f ()>]
   ?: 133* [#<procedure #f ()>]
   ?: 134* [load-file #<primitive-procedure primitive-load> ...]
   ?: 135* [save-module-excursion #<procedure #f ()>]
   ?: 136  (let (# #) (dynamic-wind # thunk #))
   ?: 137  [dynamic-wind #<procedure #f ()> #<procedure #f ()>
   #<procedure
#f ()>]
   ?: 138* [#<procedure #f ()>]
   ?: 139* [primitive-load "/usr/share/guile/1.8/ice-9/debug.scm"]
In /usr/share/guile/1.8/ice-9/debug.scm:
  22: 140* (define-module (ice-9 debug) :export ...)
In unknown file:
   ?: 141* [copy-tree ...
   ?: 142* [apply #<procedure #f args> (# :export #)]
   ?: 143  [#<procedure #f args> (ice-9 debug) :export ...]
   ?: 144  (quasiquote (eval-case (# #) (else #)))
   ?: 145* [compile-define-module-args (# :export #)]
   ?: 146  ((letrec ((loop #)) loop) (quasiquote ((quote #))) (cdr
   args))
   ?: 147* (letrec ((loop (lambda # #))) loop)
   ?: 148* (lambda (compiled-args args) (cond (# #) (# #) (# #) ...))

<unnamed port>: In expression (lambda (compiled-args args) (cond # #
...)):
<unnamed port>: Stack overflow

--- End of stack dump ---

This error is repeatable (the same error messages with the same line
numbers).  The same error occurs if guile is provided no command-line
options.

I can un-install version 1.8.7, install version 1.8.2, and start guile
without error.

Please let me know if there is some information that I can provide
that would help to diagnose the source of this problem.

Here are sha1sums of the files that I have downloaded and installed:

$ sha1sum.exe guile-1.8.7-1.tar.bz2
ee5cdc729998bfd7c8aa93c9e53467d28c77153b *guile-1.8.7-1.tar.bz2
$ sha1sum.exe libguile17-1.8.7-1.tar.bz2
cb35fa72ad8fe46a27abfc2bd3d38f731cb127e5 *libguile17-1.8.7-1.tar.bz2
$ sha1sum.exe guile-doc-1.8.7-1.tar.bz2
2e42accc2103f7ee83808b91319bf43611004a36 *guile-doc-1.8.7-1.tar.bz2
$ sha1sum cygwin-1.7.7-1.tar.bz2
61d32c981e6aa1d19b8586d1f9f6c19d87b06bf2 *cygwin-1.7.7-1.tar.bz2

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple